#pragma once


class CMainFrame : public CFrameWnd
{
protected: //create from serialization only
#pragma warning(suppress: 26455)
  CMainFrame() = default;

public:
//Constructors / Destructors
  CMainFrame(const CMainFrame&) = delete;
  CMainFrame(CMainFrame&&) = delete;
  ~CMainFrame() = default; //NOLINT(modernize-use-override)

//Methods
  CMainFrame& operator=(const CMainFrame&) = delete;
  CMainFrame& operator=(CMainFrame&&) = delete;
  BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext) override;
  BOOL PreCreateWindow(CREATESTRUCT& cs) override;
#ifdef _DEBUG
  void AssertValid() const override;
  void Dump(CDumpContext& dc) const override;
#endif

protected:
//Member variables
  CSplitterWnd m_wndSplitter;
  CToolBar m_wndToolBar;
  CStatusBar m_wndStatusBar;

//Message handlers
  afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
  afx_msg LRESULT OnAcquiredSample(WPARAM wParam, LPARAM lParam);

  DECLARE_MESSAGE_MAP()

  DECLARE_DYNCREATE(CMainFrame)
};
