#pragma once


class CScanFingerInfoView : public CEditView
{
protected:
#pragma warning(suppress: 26455)
  CScanFingerInfoView() = default;

public:
//Constructors / Destructors
  CScanFingerInfoView(const CScanFingerInfoView&) = delete;
  CScanFingerInfoView(CScanFingerInfoView&&) = delete;
  ~CScanFingerInfoView() = default; //NOLINT(modernize-use-override)

//Methods
  CScanFingerInfoView& operator=(const CScanFingerInfoView&) = delete;
  CScanFingerInfoView& operator=(CScanFingerInfoView&&) = delete;
  void OnInitialUpdate() override;
  [[nodiscard]] CScanFingerDoc* GetDocument() const;
  void OnDraw(CDC* pDC) noexcept override;
#ifdef _DEBUG
  void AssertValid() const override;
  void Dump(CDumpContext& dc) const override;
#endif
  void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint) override;

protected:
//Member variables
  CFont m_Font;

  DECLARE_MESSAGE_MAP()

  DECLARE_DYNCREATE(CScanFingerInfoView)
};
